Fleet rollup across the SIM estate
curl --request GET \
--url https://api.orbit.devotel.io/api/v1/numbers/connectivity/fleets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/numbers/connectivity/fleets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/numbers/connectivity/fleets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"fleets": [
{
"fleetId": "<string>",
"simCount": 123,
"activeCount": 123,
"suspendedCount": 123,
"terminatedCount": 123,
"totalUsageBytes": 123,
"pool": {
"pooledSimCount": 123,
"allowanceBytes": 123,
"usageBytes": 123,
"remainingBytes": 123,
"usagePct": 123
}
}
],
"count": 123
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Numbers
Fleet rollup across the SIM estate
Roll the org’s SIMs up into fleets (grouped by fleetId, with SIMs that carry none collapsed under ungrouped).
GET
/
api
/
v1
/
numbers
/
connectivity
/
fleets
Fleet rollup across the SIM estate
⌘I